I am sorry for the confusion. QuickBooks Merchant Services is available in the 2015 version of QuickBooks. The messaging you see is referencing the fact we replaced Intuit PaymentNetwork with E-invoicing.

Most Intuit PaymentNetwork customers that upgrade to QuickBooks 2015 for PC will, at the time of upgrade, have their […]

Resolution for 'contradicts issue: 'email about upgrading from 2012 to 2015 contradicts warnings on your site about compatibility.' available: Yes.

The contradicts issue or error code is a known issue in Quickbooks Online (QBO) and/or Quickbooks. Support for this issue is available either by self-service or paid support options. Experts are available to resolve your Quickbooks issue to ensure minimal downtime and continue running your business. First try to resolve the contradicts issue yourself by looking for a resolution described in the article. If it is a complex contradicts issue or you are unable to solve the issue, you may contact us by clicking here or by using other contradicts support options.

For more information about resolving issues related to contradicts in Quickbooks/QBO or to get support for the issue 'email about upgrading from 2012 to 2015 contradicts warnings on your site about compatibility.', click the link below: